---
name: Feature request
about: Suggest a new feature or other enhancement.
labels: feature-request
---

<!--
Hi there,

Thank you for opening an issue! Please note that we try to keep the this issue tracker reserved for
bug reports and feature requests related to the go-tfe API wrapper. If you know
your issue relates to the HCP Terraform and Terraform Enterprise platform itself, please contact
tf-cloud@hashicorp.support. For general usage questions, please post to our community forum:
https://discuss.hashicorp.com.
-->


#### Use-cases
<!---
In order to properly evaluate a feature request, it is necessary to understand the use-cases for it.

Please describe below the _end goal_ you are trying to achieve that has led you to request this feature.

Please keep this section focused on the problem and not on the suggested solution. We'll get to that in a moment, below!
-->

#### Attempted Solutions
<!---
If you've already tried to solve the problem with existing features and found a limitation that prevented you from succeeding, please describe it below in as much detail as possible.

Ideally, this would include real configuration snippets that you tried, real Terraform command lines you ran, and what results you got in each case.

Please remove any sensitive information such as passwords before sharing configuration snippets and command lines.
-->

#### Proposal
<!---
If you have an idea for a way to address the problem via a change to this library, please describe it below.

In this section, it's helpful to include specific examples of how what you are suggesting might look in your code since that allows us to understand the full picture of what you are proposing.

If you don't know what you'd propose or are unsure of some details, don't worry! When we evaluate the feature request we'll be happy to help.
-->
